import request from '@/utils/httpRequest'

export default class ContractInfoService {
  list (param) {
    return request({
      url: '/contract/registration/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/contract/registration/save',
      method: 'post',
      data: param
    })
  }
  remove (url) {
    return request({
      url: '/contract/registration/remove',
      method: 'get',
      params: {id: url}
    })
  }
  findById (id) {
    return request({
      url: '/contract/registration/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByContractId (id) {
    return request({
      url: '/contract/registration/findByContractId',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: '/contract/registration/updateStatusById',
      method: 'post',
      data: param
    })
  }
}
